site_name: My Docs
repo_url: https://github.com/bcgx-gp-atlasCommunity/retailtwin
edit_uri: edit/main/docs/

nav:
  - "Introduction": "index.md"
  - "People in the data ecosystem": "organization.md"
  - "How data is stored": "data.md"
  - "Terminals to access data": "terminals.md"
  - "How automation is implemented": "automation.md"
  - "Buy vs Build": "buyvsbuild.md"
  - "The Data Warehouse": "dw.md"
  - "The Data Lake": "dl.md"
theme:
  name: "material"
  palette:
    # Palette toggle for light mode
    - media: "(prefers-color-scheme)"
      primary: teal
      toggle:
        icon: material/brightness-auto
        name: Switch to light mode

    - media: "(prefers-color-scheme: light)"
      scheme: default
      primary: teal
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode

    # Palette toggle for dark mode
    - media: "(prefers-color-scheme: dark)"
      scheme: slate
      primary: teal
      toggle:
        icon: material/brightness-4
        name: Switch to light mode

  features:
    - content.action.edit
    - content.code.copy
  icon:
    edit: material/pencil
    view: material/eye

plugins:
  - search
#  - with-pdf

markdown_extensions:
  - md_in_html
  - admonition
  - tables
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
  - pymdownx.inlinehilite
  - pymdownx.snippets
  - pymdownx.superfences
  - markdown_include.include:
      base_path: docs
